# vim: ft=make ts=4 sw=4 noet
NAME    = nettle
VERSION = 3.10.2
GARTYPE = v2

MASTER_SITES = http://ftp.gnu.org/gnu/nettle/
DISTFILES   += $(DISTNAME).tar.gz

LICENSE = COPYING.LESSERv3

BUILD_DEP_PKGS              += OZSWgmp
RUNTIME_DEP_PKGS_OZSWnettle += OZSWgmp

PACKAGES                 += OZSWnettle
SPKG_DESC_OZSWnettle      = Low-level cryptographic library
CATALOGNAME_OZSWnettle    = nettle

MERGE_EXCLUDE_STATICLIBS =

EXTRA_LD_FLAGS += -lgmp

post-configure:
	@find $(WORKSRC) -name "libtool" -type f -exec \
	    gsed -i 's/ECHO="print -r --"/ECHO="printf %s\\n"/g' {} \;
	@$(MAKECOOKIE)

include gar/category.mk
